Improve this Doc View Source
Deprecated:

In an effort to keep synchronized with router changes in the new Angular, this implementation of the Component Router (ngComponentRouter module) has been deprecated and will not receive further updates. We are investigating backporting the Router for the new Angular to AngularJS, but alternatively, use the `ngRoute` module or community developed projects (e.g. ui-router).

## Overview

The directive that identifies where the `Router` should render its Components.

## Directive Info

- This directive executes at priority level 400 restrict: AE.

## Usage

- as element:

      <ng-outlet>
      ...
      </ng-outlet>

- as attribute:

      <ANY
        ng-outlet>
      ...
      </ANY>